stdarg.h File Reference

Go to the source code of this file.

## Macros

#define | va_start(list, last) list = (unsigned char *)&last + sizeof(last)
#define | va_arg(list, type) *((type *)((list += sizeof(type)) - sizeof(type)))
#define | va_end(list)

## Typedefs

typedef unsigned char * | va_list

## Macro Definition Documentation

## va_start

#define va_start | ( |  | list,
|  |  | last
| ) |  | list = (unsigned char *)&last + sizeof(last)

## va_arg

#define va_arg | ( |  | list,
|  |  | type
| ) |  | *((type *)((list += sizeof(type)) - sizeof(type)))

## va_end

#define va_end | ( |  | list | ) |

## Typedef Documentation

## va_list

typedef unsigned char* va_list